/*
 * main.h
 *
 *  Created on: Dec 31, 2011
 *      Author: gerdi
 */

#ifndef MAIN_H_
#define MAIN_H_


#include "stdio.h"
#include "string.h"
#include "stdlib.h"

#include "stm32f4xx.h"
#include "stm32f4xx_conf.h"
#include "stm32f4_discovery.h"
#include "stm32f4xx_gpio.h"
#include "SSD1289.h"
#include "systick.h"
#include "AsciiLib.h"
/* _____PUBLIC DEFINE_____________________________________________________ */

#define CORE_SysTickEn()    (*((u32*)0xE0001000)) = 0x40000001
#define CORE_SysTickDis()   (*((u32*)0xE0001000)) = 0x40000000
#define CORE_GetSysTick()   (*((u32*)0xE0001004))

void CS43L22_GPIO_Init(void);
uint8_t CS43L22_ReadRegister(uint8_t RegisterAddr);
uint8_t CS43L22_WriteRegister(uint8_t RegisterAddr, uint8_t RegisterValue);
uint32_t CS43L22_TIMEOUT_UserCallback(void);
void init_tim2(void);
void CS43L22_Reset(void);
void Codec_AudioInterface_Init(uint32_t AudioFreq);

void CS43L22_Config(void);
void CS43L22_schreiben(void);
void CS43L22_lesen(void);

#endif /* MAIN_H_ */
